Bug 251054 - imlib2: incorrect license tag
imlib2: incorrect license tag
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: imlib2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 15:11 EDT by Ville Skyttä
Modified: 2008-02-25 08:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 08:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-08-06 15:11:25 EDT
imlib2's License tag says "BSD" which cannot be correct as a whole - at least
some imlib2's loaders link with libid3tag which is GPLv2+, thus making at least
those loaders GPLv2+ too.
Comment 1 Hans de Goede 2007-08-07 13:44:16 EDT
Thanks for reporting this.

I've just send the following mail to Spot, lets see which solution he prefers:

---

Hi Tom,

Today I received this bug report against imlib2:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=251054

"imlib2's License tag says "BSD" which cannot be correct as a whole - at least
some imlib2's loaders link with libid3tag which is GPLv2+, thus making at least
those loaders GPLv2+ too."

The only file actually linked to libid3tag is:
/usr/lib[64]/imlib2/loaders/id3.so

I see 2 options:
1) Don't build with id3tag support
2) Put the id3tag in its own subpackage, then unless manually installed by
   users or explicitly required by a package, it won't be there, so for normal
   uses imlib2 will still be BSD (I haven't checked the actual license yet,
   thats what it says in the spec now).

Not sure about what todo 1 is cleanest, but 2 gives people who really want /
need it id3tag support.

Regards,

Hans
Comment 2 Hans de Goede 2008-02-25 08:44:20 EST
Oops, I forgot all about this one, its long fixed now (in F-8 and up), the
license tag for imlib2 itself now is "Imlib2". Which has been approved by Spot,
Imlib2 is BSD ish and GPL compatible. the id3tag plugin has been put in a
sub-package with GPLv2+ as tag, to make it clear that non GPL software cannot
use it.

Closing.

Note You need to log in before you can comment on or make changes to this bug.